### Enumeration

# Qmi WdsPdpType

since: 1.0

#### Declaration

    enum Qmi.WdsPdpType

#### Description [src]

PDP context type.

Available since: 1.0

#### Members

`QMI_WDS_PDP_TYPE_IPV4`

  IPv4.

  - Value: `0`
  - Available since: 1.0
`QMI_WDS_PDP_TYPE_PPP`

  PPP.

  - Value: `1`
  - Available since: 1.0
`QMI_WDS_PDP_TYPE_IPV6`

  IPv6.

  - Value: `2`
  - Available since: 1.0
`QMI_WDS_PDP_TYPE_IPV4_OR_IPV6`

  IPv4 and IPv6 combined context.

  - Value: `3`
  - Available since: 1.0

#### Type functions

###### qmi_wds_pdp_type_get_string

Gets the nickname string for the `QmiWdsPdpType` specified at `val`.

since: 1.0